# PSF-LoginServer - master - net.psforever.services.teamwork.SquadAction
PSF - LoginServer - master - net.psforever.services.teamwork.SquadAction
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadAction

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
- SquadAction
- SquadResponse
- SquadService
- SquadServiceMessage
- SquadServiceResponse
- SquadSwitchboard

o

net.psforever.services.teamwork

# SquadAction

###

#### object SquadAction

Source
  SquadServiceMessage.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadAction
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  sealed trait Action extends AnyRef
2.  final case class Definition (guid: PlanetSideGUID, line: Int, action: packet.game.SquadAction) extends Action with Product with Serializable
3.  final case class InitCharId () extends Action with Product with Serializable
4.  final case class InitSquadList () extends Action with Product with Serializable
5.  final case class Membership (request_type: types.SquadRequestType.Value, unk2: Long, unk3: Option[Long], player_name: String, unk5: Option[Option[String]]) extends Action with Product with Serializable
6.  final case class Update (char_id: Long, health: Int, max_health: Int, armor: Int, max_armor: Int, pos: Vector3, zone_number: Int) extends Action with Product with Serializable
7.  final case class Waypoint (event_type: packet.game.WaypointEventAction.Value, waypoint_type: SquadWaypoint, unk: Option[Long], waypoint_info: Option[WaypointInfo]) extends Action with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped